Update the status of a job
PATCH/api/v4/jobs/:job_id/status
Update the status of a job. Valid status updates:
- 'in_progress' -> 'pending'
- 'in_progress' | 'pending' -> 'cancel_requested'
- 'cancel_requested' -> 'canceled'
Add force to the body of the PATCH request to bypass the given rules, the only statuses you can go to are: pending, cancel_requested and canceled. This can have unexpected consequences and should be used with caution.
Permissions
Must have permission to manage the job's type:
manage_data_retention_job—data_retentionmanage_compliance_export_job—message_exportmanage_elasticsearch_post_indexing_job—elasticsearch_post_indexingmanage_elasticsearch_post_aggregation_job—elasticsearch_post_aggregationmanage_ldap_sync_job—ldap_syncmanage_jobs—migrations,plugins,product_notices,expiry_notify,active_users,import_process,import_delete,export_process,export_delete,cloud,extract_contentmanage_system—access_control_sync
Request
Responses
- 200
- 400
- 401
- 403
Status successfully set.
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions